#!/bin/bash

echo "Set up git tracking branch for each student"

. $(dirname $0)/config.sh

# handle each student by github ID
for user in ${GITIDS[@]}; do
	echo -e "\n$user "

	# Check if we already have a remote for this user. If not, set one up
	git remote get-url "$user" >/dev/null 2>&1 || 
		git remote add --no-tags "$user" "$GITHUBBASE$user/$REPO"

	# if that failed, skip to next
	git remote get-url "$user" >/dev/null 2>&1 || {
		echo "not found"
		continue
	}

	# fetch latest from this user
	git fetch $SHALLOW --no-tags "$user"

	# set up tracking branch
	git rev-parse --q "refs/heads/github/$user" >/dev/null 2>&1 ||
		git branch --track "github/$user" "$user/$MASTER"
done

echo
